---
search:
  tags:
    - Custom Roles
    - GET
seo:
  description: >-
    Get a custom role that can be set on users. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/custom-roles/{custom_role_id} endpoint in the
    Management API.
sidebar:
  label: Get a custom role
  badge: GET
title: Get a custom role
type: openapi-operation
---
Get a custom role that can be set on users.

`GET /api/v1/{team_slug}/{app_slug}/custom-roles/{custom_role_id}`

**Responses**

- `200` — Got Custom role successfully
- `400` — Invalid request (e.g. id not uuid)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "app_id": "string",
    "created_at": "string",
    "id": "string",
    "is_default": true,
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
